aboutsummaryrefslogtreecommitdiffstats
path: root/tools/fs_ls.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/fs_ls.sh')
-rwxr-xr-xtools/fs_ls.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tools/fs_ls.sh b/tools/fs_ls.sh
new file mode 100755
index 0000000..876765a
--- /dev/null
+++ b/tools/fs_ls.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe List all files and directories at the specified path.
+
+# @env FS_BASE_DIR=. The base dir
+# @option --path! The path of the directory to list
+
+main() {
+ path="$FS_BASE_DIR/$argc_path"
+ ls -1 "$path"
+}
+
+eval "$(argc --argc-eval "$0" "$@")"